Subject: Re: Enrollment form
From: "Michael B" <[email-masked]>
To: "Justin Fata" <[email-masked]>
Date: Mon, 30 Oct 2017 10:30:11 -0400

How about this time. With the attachment.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Justin Fata 
Sent: Monday, October 30, 2017 9:48 AM
To: Michael B 
Subject: Re: Enrollment form

Hi Mike, 

I do not see anything attached. Could you please send again with the forms I need to fill out?

Thanks!

On Mon, Oct 30, 2017 at 9:05 AM, Michael B <[email-masked]> wrote:

  Hello Justin.
  Sorry I missed sending this out on Friday before I left. I will touching base with Ted later this week, maybe Wednesday. Let me know if you have any questions.
  Thank you,
  Michael Bishop
  Labor Law Poster Service
  877-321-4144 x355